glab(1)

NAME
glab-ci-delete - Delete CI/CD pipelines.

SYNOPSIS
glab ci delete [flags]

DESCRIPTION
Delete CI/CD pipelines.

OPTIONS
--dry-run[=false]
    Simulate process, but do not delete anything.

--older-than=0s
    Filter pipelines older than the given duration. Valid units: h, m, s, ms, us, ns.

--page=0
    Page number.

--paginate[=false]
    Make additional HTTP requests to fetch all pages of projects before cloning. Respects '--per-page'.

--per-page=0
    Number of items to list per page.

--source=""
    Filter pipelines by source: api, chat, external, external_pull_request_event, merge_request_event, ondemand_dast_scan, ondemand_dast_validation, parent_pipeline, pipeline, push, schedule, security_orchestration_policy, trigger, web, webide.

-s, --status=""
    Delete pipelines by status: running, pending, success, failed, canceled, skipped, created, manual.

OPTIONS INHERITED FROM PARENT COMMANDS
--help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    glab ci delete 34
    glab ci delete 12,34,2
    glab ci delete --source=api
    glab ci delete --status=failed
    glab ci delete --older-than 24h
    glab ci delete --older-than 24h --status=failed

SEE ALSO
glab-ci(1)